## org.apache.cassandra.db.marshal
Class AsciiType

    java.lang.Object
      org.apache.cassandra.db.marshal.AbstractType
          org.apache.cassandra.db.marshal.BytesType
              org.apache.cassandra.db.marshal.AsciiType

All Implemented Interfaces:
  java.util.Comparator<byte[]>

    public class AsciiType

extends BytesType

Constructor Summary
`AsciiType()`

Method Summary
`java.lang.String` `getString(byte[] bytes)` get a string representation of the bytes suitable for log messages

Methods inherited from class org.apache.cassandra.db.marshal.BytesType
`compare`

Methods inherited from class org.apache.cassandra.db.marshal.AbstractType
`equals, getColumnsString, getReverseComparator, getString, validate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsciiType

    public AsciiType()

Method Detail

### getString

    public java.lang.String getString(byte[] bytes)

  Description copied from class: `AbstractType`
  get a string representation of the bytes suitable for log messages

  Overrides:
    `getString` in class `BytesType`

Copyright © 2010 The Apache Software Foundation